package com.yeejoin.amos.boot.module.jg.biz.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.boot.module.jg.biz.service.IIdxBizJgTechParamsBoilerService;
import com.yeejoin.amos.boot.module.ymt.api.dto.IdxBizJgTechParamsBoilerDto;
import com.yeejoin.amos.boot.module.ymt.api.entity.IdxBizJgTechParamsBoiler;
import com.yeejoin.amos.boot.module.ymt.api.mapper.IdxBizJgTechParamsBoilerMapper;
import org.springframework.stereotype.Service;
import org.typroject.tyboot.core.rdbms.service.BaseService;

import java.util.List;

/**
 * 安全追溯-锅炉服务实现类
 *
 * @author system_generator
 * @date 2023-08-17
 */
@Service
public class IdxBizJgTechParamsBoilerServiceImpl extends BaseService<IdxBizJgTechParamsBoilerDto,IdxBizJgTechParamsBoiler,IdxBizJgTechParamsBoilerMapper> implements IIdxBizJgTechParamsBoilerService {

    public void saveOrUpdateData(IdxBizJgTechParamsBoiler boiler) {
        this.saveOrUpdate(boiler);
    }

    public IdxBizJgTechParamsBoiler getOneData(String record) {
        return this.getOne(new QueryWrapper<IdxBizJgTechParamsBoiler>().eq("RECORD", record));
    }

    /**
     * 分页查询
     */
    public Page<IdxBizJgTechParamsBoilerDto> queryForIdxBizJgTechParamsBoilerPage(Page<IdxBizJgTechParamsBoilerDto> page)   {
        return this.queryForPage(page, null, false);
    }

    /**
     * 列表查询 示例
     */
    public List<IdxBizJgTechParamsBoilerDto> queryForIdxBizJgTechParamsBoilerList()   {
        return this.queryForList("" , false);
    }


}